﻿using System;
using System.ComponentModel;
using System.Runtime.CompilerServices;
using Syncfusion.XForms.Border;
using Syncfusion.XForms.Buttons;
using Xamarin.Forms;


namespace GettingStartedButton
{
    public class CustomChipGroup : SfChipGroup
    {
        #region CornerRadius

        public static readonly BindableProperty CornerRadiusProperty =
            BindableProperty.Create("CornerRadius", typeof(Thickness), typeof(CustomChipGroup), GetDefaultCornerRadius(), BindingMode.TwoWay, null, null);


        public Thickness CornerRadius
        {
            get { return (Thickness)GetValue(CornerRadiusProperty); }
            set { this.SetValue(CornerRadiusProperty, value); }
        }

        #endregion

        public CustomChipGroup()
        {
            this.ChipLayout.ChildAdded+= ChipLayout_ChildAdded;
        }

        #region Default corner radius

        private static Thickness GetDefaultCornerRadius()
        {
            if (Device.RuntimePlatform == Device.Android)
            {
                return 40d;
            }

            return 15d;
        }

        #endregion

        private void ChipLayout_ChildAdded(object sender, ElementEventArgs e)
        {
            if (e.Element is SfChip)
            {
                (e.Element as SfChip).SetBinding(SfChip.CornerRadiusProperty, new Binding(){Path = "CornerRadius", Source = this,Mode = BindingMode.TwoWay});
            }
        }
    }
}
