﻿using System;
using System.Collections.Generic;
using System.ComponentModel;

namespace GettingStartedButton
{
    public class Model
    {
        public string Name { set; get; }
        public int Age { set; get; }
    }

    public class ViewModel :INotifyPropertyChanged
    {
        private List<Model> items = new List<Model>();
        public List<Model> Items
        {
            get
            {
                return items;
            }
            set
            {
                items = value;
                RaisePropertyChanged("Items");
            }
        }
       

        public ViewModel()
        {
            Items.Add(new Model() { Name = "Dom", Age = 23 });
            Items.Add(new Model() { Name = "Mary", Age = 40 });
            Items.Add(new Model() { Name = "Jeny", Age = 28 });
            Items.Add(new Model() { Name = "Mark", Age = 33 });
        }

        public event PropertyChangedEventHandler PropertyChanged;

        private void RaisePropertyChanged(string property)
        {
            if (PropertyChanged != null)
            {
                PropertyChanged(this, new PropertyChangedEventArgs(property));
            }
        }
    }
}
